Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.inspect
[Groovy] Class TextTreeNodeMaker

    java.lang.Object
      groovy.inspect.TextTreeNodeMaker

All Implemented Interfaces:
  AstBrowserNodeMaker

    class TextTreeNodeMaker

A factory class for plain text nodes for use in the AST tree made by ASTBrowser

Authors:
  Roshan Dawrani

Method Summary
`TextNode` | `makeNode(java.lang.Object userObject)`
`TextNode` | `makeNodeWithProperties(java.lang.Object userObject, java.util.List properties)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### makeNode

    TextNode makeNode(java.lang.Object userObject)

### makeNodeWithProperties

    TextNode makeNodeWithProperties(java.lang.Object userObject, java.util.List properties)

Groovy Documentation